package org.tinygroup.applicationprocessor.processor;

import org.tinygroup.appconfig.util.AppConfigUtil;
import org.tinygroup.application.Application;
import org.tinygroup.application.ApplicationProcessor;
import org.tinygroup.databasebuinstaller.DatabaseInstaller;
import org.tinygroup.springutil.SpringUtil;
import org.tinygroup.xmlparser.node.XmlNode;

/**
 * 
 * 功能说明:数据库表dml操作的处理器
 * <p> 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2013-8-14 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
public class DatabaseInstallProcessor implements ApplicationProcessor {

	private static final String INSTALL_CONFIG="database-install-processor";
	
	private XmlNode xmlNode;
	
	public String getNodeName() {
		return INSTALL_CONFIG;
	}

	public void setConfiguration(XmlNode xmlNode) {
         this.xmlNode=xmlNode;
	}

	public XmlNode getConfiguration() {
		return xmlNode;
	}

	public void start() {
		DatabaseInstaller installer=SpringUtil.getBean(DatabaseInstaller.DATABASE_INSTALLER_BEAN_NAME);
		AppConfigUtil.config(this, installer);
		installer.process();
	}

	public void stop() {

	}

	public void setApplication(Application application) {

	}

}
